Alokai
You are reading the documentation for v7.x and earlier, which is no longer the latest version. Switch to v8.x

restoreCart

Turn a saved user cart into an active user cart in SAP Commerce Cloud.

This method exchanges data with the doUpdateSavedCart endpoint exposed by the SAP OCC API Save Cart Controller.

This method works only in an authenticated user session (i.e. when the vsf-sap-token cookie is present in the request). Also, make sure you are passing cart code (and not guid) as the cartId param.

Signature

export declare function restoreCart(
	context: SapccIntegrationContext,
	props: RestoreCartProps
): Promise<SaveCartResult>;

Parameters

NameRequiredTypeDescription
contextRequiredSapccIntegrationContext
propsRequiredRestoreCartPropsParameter object which can be used with this method. Refer to its type definition to learn about possible properties.

Returns

Returns a representation of a Save Cart Result.

Referenced Types

Examples

Restoring a saved user cart.

import { sdk } from '~/sdk';

const restoredCart = await sdk.commerce.restoreCart({ cartId: '00035084' });

Restoring a saved user cart and selecting response fields.

``ts import { sdk } from '~/sdk';

const restoredCart = await sdk.commerce.restoreCart({ cartId: '00035084', fields: 'savedCartData(code,savedBy(FULL),user(FULL))' });

On this page